package cpcns.danganzhengli.zhongdahuodong.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.service.ICommonService;
import cpcns.danganzhengli.zhongdahuodong.model.ZhongDaHuoDongFuJian;
import cpcns.danganzhengli.zhongdahuodong.service.IZhongDaHuoDongFuJianService;
import cpcns.gongyongzujian.dianzidangan.service.IFuJianService;
import cpcns.gongyongzujian.dianzidangan.util.FuJianPathUtils;
import cpcns.gongyongzujian.dianzidangan.util.ImageUtils;
import cpcns.utils.FtpConfig;
import cpcns.utils.FtpUtil;
import cpcns.utils.PagerVO;
import cpcns.utils.StringUtil;
import cpcns.utils.Word2Pdf;
import cpcns.utils.waterMark;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.Calendar;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.io.FileUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

@Controller
@RequestMapping({"/zhongDaHuoDongFuJian"})
public class ZhongDaHuoDongFuJianController extends commonController {
  @Autowired
  private IZhongDaHuoDongFuJianService zhongDaHuoDongFuJianService;
  
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private IFuJianService fuJianService;
  
  @RequestMapping({"/newAdd"})
  public String newAdd(HttpServletRequest request, HttpServletResponse response) {
    String leiXing = getRequest().getParameter("leiXing");
    String guanLianBiaoShi = getRequest().getParameter("guanLianBiaoShi");
    String xiTongLeiXing = getRequest().getParameter("xiTongLeiXing");
    String huoDongDanZhuangTai = getRequest().getParameter("huoDongDanZhuangTai");
    String urlName = "";
    if (StringUtils.isNotBlank(leiXing) && StringUtils.isNotBlank(guanLianBiaoShi) && StringUtils.isNotBlank(xiTongLeiXing) && StringUtils.isNotBlank(huoDongDanZhuangTai)) {
      ZhongDaHuoDongFuJian fuJian = new ZhongDaHuoDongFuJian();
      fuJian.setGuanLianBiaoShi(Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
      fuJian.setLeiXing(Integer.valueOf(Integer.parseInt(leiXing)));
      switch (Integer.parseInt(leiXing)) {
        case 0:
          urlName = "/danganzhengli/zhongdahuodong/WenJianFuJianEdit";
          break;
        case 1:
          urlName = "/danganzhengli/zhongdahuodong/ZhaoPianFuJianEdit";
          break;
        case 2:
          urlName = "/danganzhengli/zhongdahuodong/LuYinFuJianEdit";
          break;
        case 3:
          urlName = "/danganzhengli/zhongdahuodong/LuXiangFuJianEdit";
          break;
        case 4:
          urlName = "/danganzhengli/zhongdahuodong/ShiWuFuJianEdit";
          break;
      } 
      getRequest().setAttribute("huoDongDanZhuangTai", huoDongDanZhuangTai);
      getRequest().setAttribute("xiTongLeiXing", xiTongLeiXing);
      getRequest().setAttribute("fuJian", fuJian);
    } 
    return urlName;
  }
  
  @RequestMapping({"/openFJ"})
  public String openFJ(HttpServletRequest request, HttpServletResponse response) {
    String leiXing = getRequest().getParameter("leiXing");
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String xiTongLeiXing = getRequest().getParameter("xiTongLeiXing");
    String huoDongDanZhuangTai = getRequest().getParameter("huoDongDanZhuangTai");
    String urlName = "";
    if (StringUtils.isNotBlank(leiXing) && StringUtils.isNotBlank(hangBiaoShi) && StringUtils.isNotBlank(xiTongLeiXing) && StringUtils.isNotBlank(huoDongDanZhuangTai)) {
      ZhongDaHuoDongFuJian fuJian = (ZhongDaHuoDongFuJian)this.zhongDaHuoDongFuJianService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      switch (Integer.parseInt(leiXing)) {
        case 0:
          urlName = "/danganzhengli/zhongdahuodong/WenJianFuJianEdit";
          break;
        case 1:
          urlName = "/danganzhengli/zhongdahuodong/ZhaoPianFuJianEdit";
          break;
        case 2:
          urlName = "/danganzhengli/zhongdahuodong/LuYinFuJianEdit";
          break;
        case 3:
          urlName = "/danganzhengli/zhongdahuodong/LuXiangFuJianEdit";
          break;
        case 4:
          urlName = "/danganzhengli/zhongdahuodong/ShiWuFuJianEdit";
          break;
      } 
      if (leiXing.equals("0")) {
        String filePath = yuLan(hangBiaoShi);
        System.out.println(filePath);
        getRequest().setAttribute("filePath", filePath);
      } 
      getRequest().setAttribute("fuJian", fuJian);
      getRequest().setAttribute("xiTongLeiXing", xiTongLeiXing);
      getRequest().setAttribute("huoDongDanZhuangTai", huoDongDanZhuangTai);
      this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_ZhongDaHuoDong", fuJian.getGuanLianBiaoShi(), fuJian.getTiMing(), "查看附件");
    } 
    return urlName;
  }
  
  @RequestMapping({"/getAll"})
  public String getAll(HttpServletRequest request, HttpServletResponse response) throws IOException {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    StringBuffer sqlWhere = new StringBuffer();
    Iterator<String> iterator = jsonObject.keys();
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !"type".equals(key) && !key.equals("guiDangNianDu") && !key.equals("quanZongHao")) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= to_date('" + value + "','yyyy-mm-dd') ");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " <= to_date('" + value + "','yyyy-mm-dd') ");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key)) {
          if (!key.contains("like")) {
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
        } 
      } 
    } 
    String page = request.getParameter("page");
    String rows = request.getParameter("rows");
    int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
    int start = (intPage - 1) * number;
    PagerVO pagevo = this.zhongDaHuoDongFuJianService.getAllOderBy(start, number, sqlWhere.toString(), " order by hangBiaoShi desc");
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = StringUtil.replaceEntity(jsonString, ZhongDaHuoDongFuJian.class);
    write(response, jsonString);
    return null;
  }
  
  @RequestMapping({"/save.do"})
  @ResponseBody
  public void saveFJ(@RequestParam(value = "upload", required = false) MultipartFile[] upload, HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    String leiXing = request.getParameter("leiXing");
    ZhongDaHuoDongFuJian zhongDaHuoDongFuJian = (ZhongDaHuoDongFuJian)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), ZhongDaHuoDongFuJian.class);
    try {
      Integer integer;
      String riZhiInfo = "修改附件";
      if (zhongDaHuoDongFuJian.getHangBiaoShi() == null || zhongDaHuoDongFuJian.getHangBiaoShi().intValue() < 0) {
        zhongDaHuoDongFuJian.setHangBiaoShi(Integer.valueOf(this.zhongDaHuoDongFuJianService.getPk()));
        riZhiInfo = "新增附件";
      } 
      if (StringUtils.isBlank(leiXing))
        integer = zhongDaHuoDongFuJian.getLeiXing(); 
      int lx = Integer.valueOf((String)integer).intValue();
      if (upload != null && upload.length > 0) {
        String xdLuJing = getPath("D_ZhongDaHuoDongFuJian", getCurrentUser().getQuanZongHao(), zhongDaHuoDongFuJian.getHangBiaoShi(), Integer.valueOf(lx), zhongDaHuoDongFuJian.getGuanLianBiaoShi());
        String CPCNS_CUNCHUFANGSHI = AppConfiguration.getConfigValue("CPCNS_CUNCHUFANGSHI");
        String path = StringUtil.dealBasePath(AppConfiguration.getConfigValue("DangAnYuanWenPath"));
        Boolean uploadFile = Boolean.valueOf(false);
        if (CPCNS_CUNCHUFANGSHI.equals("1")) {
          for (int i = 0; i < upload.length; i++) {
            uploadFile = Boolean.valueOf(true);
            MultipartFile files = upload[i];
            String yuanWenJianName = files.getOriginalFilename();
            if (StringUtils.isNotBlank(yuanWenJianName)) {
              String wjpath = StringUtil.dealBasePath(String.valueOf(path) + File.separator + "ZDHD" + File.separator + "demp/" + zhongDaHuoDongFuJian.getGuanLianBiaoShi() + File.separator + yuanWenJianName);
              String FtpPath = StringUtil.dealBasePath(xdLuJing);
              File file = new File(wjpath);
              Boolean fileExitFlag = Boolean.valueOf(false);
              if (!file.exists()) {
                file.mkdirs();
                fileExitFlag = Boolean.valueOf(true);
              } else {
                fileExitFlag = Boolean.valueOf(true);
              } 
              files.transferTo(file);
              String geshi = StringUtils.substringAfterLast(yuanWenJianName, ".");
              String FTPWenJianName = String.valueOf(String.valueOf(zhongDaHuoDongFuJian.getHangBiaoShi())) + "." + geshi;
              try {
                FtpUtil ftp = new FtpUtil();
                FtpConfig ftpConfig = this.zhongDaHuoDongFuJianService.getFtpAccInfo(getFtpQuanZong());
                ftp.connectServer(ftpConfig);
                if (geshi.equals("doc") || geshi.equals("docx") || geshi.equals("DOC") || geshi.equals("DOCX")) {
                  String wenJianMing = yuanWenJianName.replaceAll(geshi, "pdf");
                  Word2Pdf.doc2pdf(wjpath, StringUtil.dealBasePath(String.valueOf(path) + File.separator + "ZDHD" + File.separator + "demp/" + zhongDaHuoDongFuJian.getGuanLianBiaoShi() + File.separator + wenJianMing));
                  wjpath = StringUtil.dealBasePath(String.valueOf(path) + File.separator + "ZDHD" + File.separator + "demp/" + zhongDaHuoDongFuJian.getGuanLianBiaoShi() + File.separator + wenJianMing);
                  FTPWenJianName = String.valueOf(String.valueOf(zhongDaHuoDongFuJian.getHangBiaoShi())) + ".pdf";
                  file = new File(wjpath);
                } 
                boolean wenDang = ftp.createMultiDirectory(FtpPath);
                if (wenDang) {
                  boolean ss = ftp.uploadFile(wjpath, FTPWenJianName);
                  if (ss) {
                    file.delete();
                  } else {
                    ftp.closeServer();
                    uploadFile = Boolean.valueOf(false);
                    break;
                  } 
                } 
                if (zhongDaHuoDongFuJian.getLeiXing().intValue() == 1 && fileExitFlag.booleanValue()) {
                  String ZPpath = StringUtil.dealBasePath(String.valueOf(path) + File.separator + "ZDHD" + File.separator + "demp/" + zhongDaHuoDongFuJian.getGuanLianBiaoShi() + File.separator);
                  String bufImgPath = StringUtil.dealBasePath(String.valueOf(ZPpath) + "thumb/" + FTPWenJianName);
                  BufferedImage bufImg = ImageUtils.byteToImage(upload[i].getBytes());
                  ImageUtils.picThumbOfBufferedImage(bufImg, ZPpath, FTPWenJianName);
                  System.out.println(String.valueOf(FTPWenJianName) + " 的缩略图已生成");
                  boolean SLT = ftp.createMultiDirectory(StringUtil.dealBasePath("thumb/"));
                  if (SLT) {
                    boolean slt = ftp.uploadFile(bufImgPath, FTPWenJianName);
                    File overFile = new File(bufImgPath);
                    if (slt)
                      overFile.delete(); 
                  } 
                } 
                zhongDaHuoDongFuJian.setWenJianMing(FTPWenJianName);
                zhongDaHuoDongFuJian.setWenJianLuJing(FtpPath);
                ftp.closeServer();
                uploadFile = Boolean.valueOf(true);
              } catch (Exception e) {
                e.printStackTrace();
              } 
            } 
          } 
        } else {
          for (int i = 0; i < upload.length; i++) {
            uploadFile = Boolean.valueOf(true);
            MultipartFile files = upload[i];
            String yuanWenJianName = files.getOriginalFilename();
            String geshi = StringUtils.substringAfterLast(yuanWenJianName, ".");
            if (geshi.equals("doc") || geshi.equals("docx") || geshi.equals("DOC") || geshi.equals("DOCX")) {
              Boolean fileExitFlag = Boolean.valueOf(false);
              File file = new File(String.valueOf(path) + File.separator + xdLuJing + yuanWenJianName);
              if (!file.exists()) {
                file.mkdirs();
                fileExitFlag = Boolean.valueOf(true);
              } else {
                fileExitFlag = Boolean.valueOf(true);
              } 
              files.transferTo(file);
              String wenJianMing = yuanWenJianName.replaceAll(geshi, "pdf");
              Word2Pdf.doc2pdf(String.valueOf(path) + File.separator + xdLuJing + yuanWenJianName, StringUtil.dealBasePath(String.valueOf(path) + File.separator + xdLuJing + wenJianMing));
              zhongDaHuoDongFuJian.setWenJianMing(wenJianMing);
              zhongDaHuoDongFuJian.setWenJianLuJing(xdLuJing);
              uploadFile = Boolean.valueOf(true);
            } else if (StringUtils.isNotBlank(yuanWenJianName)) {
              Boolean fileExitFlag = Boolean.valueOf(false);
              File file = new File(String.valueOf(path) + File.separator + xdLuJing + yuanWenJianName);
              if (!file.exists()) {
                file.mkdirs();
                fileExitFlag = Boolean.valueOf(true);
              } else {
                fileExitFlag = Boolean.valueOf(true);
              } 
              files.transferTo(file);
              zhongDaHuoDongFuJian.setWenJianMing(yuanWenJianName);
              zhongDaHuoDongFuJian.setWenJianLuJing(xdLuJing);
              if (zhongDaHuoDongFuJian.getLeiXing().intValue() == 1 && fileExitFlag.booleanValue()) {
                BufferedImage bufImg = ImageUtils.byteToImage(upload[i].getBytes());
                ImageUtils.picThumbOfBufferedImage(bufImg, String.valueOf(path) + File.separator + xdLuJing, yuanWenJianName);
                System.out.println(String.valueOf(yuanWenJianName) + " 的缩略图已生成");
              } 
              uploadFile = Boolean.valueOf(true);
            } 
          } 
        } 
        if (uploadFile.booleanValue()) {
          this.zhongDaHuoDongFuJianService.saveOrUpdate(zhongDaHuoDongFuJian);
          rm.setSuccess(true);
          rm.addResultMessage("hangBiaoShi", zhongDaHuoDongFuJian.getHangBiaoShi());
          info = "保存成功！";
          this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_ZhongDaHuoDong", zhongDaHuoDongFuJian.getGuanLianBiaoShi(), zhongDaHuoDongFuJian.getTiMing(), riZhiInfo);
        } else {
          info = "保存失败！";
          rm.setSuccess(false);
        } 
      } else {
        info = "上传附件为空，无法上传！";
        rm.setSuccess(false);
      } 
    } catch (Exception e) {
      e.printStackTrace();
      info = "保存失败！";
      rm.setSuccess(false);
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  protected String getPath(String table, String quanZong, Integer hangBiaoShi, Integer leiXing, Integer guanLianBiaoShi) {
    String menLei = "WS";
    if (leiXing.intValue() == 1)
      menLei = "ZP"; 
    if (leiXing.intValue() == 2)
      menLei = "LY"; 
    if (leiXing.intValue() == 3)
      menLei = "LX"; 
    if (leiXing.intValue() == 4)
      menLei = "SW"; 
    Calendar cal = Calendar.getInstance();
    int year = cal.get(1);
    if (StringUtils.isBlank(quanZong))
      quanZong = "001"; 
    String path = "ZDHD" + File.separator + quanZong + File.separator + year + File.separator + guanLianBiaoShi + File.separator + menLei + File.separator + hangBiaoShi + File.separator;
    path = FuJianPathUtils.dealBasePath(path);
    return path;
  }
  
  @RequestMapping({"/uploadFuJian.do"})
  @ResponseBody
  public void uploadFuJian(HttpServletRequest request, HttpServletResponse response) throws IOException {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      ZhongDaHuoDongFuJian t = (ZhongDaHuoDongFuJian)this.zhongDaHuoDongFuJianService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      String CPCNS_CUNCHUFANGSHI = AppConfiguration.getConfigValue("CPCNS_CUNCHUFANGSHI");
      String path = StringUtil.dealBasePath(AppConfiguration.getConfigValue("DangAnYuanWenPath"));
      String fuJianPath = StringUtil.dealBasePath(String.valueOf(path) + File.separator + t.getWenJianLuJing());
      boolean fileis = false;
      if (CPCNS_CUNCHUFANGSHI.equals("1")) {
        fuJianPath = StringUtil.dealBasePath(String.valueOf(path) + File.separator + "ZDHD" + File.separator + "fujian/");
        String quanZongHao = getFtpQuanZong();
        FtpConfig ftpConfig = this.zhongDaHuoDongFuJianService.getFtpAccInfo(quanZongHao);
        String wjm = t.getWenJianMing();
        String lj = t.getWenJianLuJing();
        FtpUtil ftp = new FtpUtil();
        if (t.getLeiXing().intValue() == 1) {
          String wjgs = wjm.substring(wjm.lastIndexOf(".") + 1);
          boolean flag = ftp.ftpDownload(ftpConfig, lj, wjm, fuJianPath, wjm);
          List<Map<String, Object>> shuiYinList = this.fuJianService.queryShuiYin("ZDHD");
          if (flag && shuiYinList.size() > 0)
            waterMark.pressText(String.valueOf(fuJianPath) + wjm, String.valueOf(fuJianPath) + wjm, shuiYinList, wjgs); 
        } else {
          boolean bool = ftp.ftpDownload(ftpConfig, lj, wjm, fuJianPath, wjm);
        } 
        fileis = true;
      } 
      fuJianPath = StringUtil.dealBasePath(String.valueOf(fuJianPath) + t.getWenJianMing());
      File file = new File(fuJianPath);
      if (file.exists()) {
        String hz = "";
        String wjm = t.getWenJianMing();
        if (StringUtils.isNotBlank(wjm))
          hz = wjm.substring(wjm.lastIndexOf("."), wjm.length()); 
        String encodeName = new String(t.getTiMing().getBytes("GB2312"), "ISO8859_1");
        response.setCharacterEncoding("utf-8");
        response.setHeader("content-disposition", "attachment;filename=" + encodeName + hz);
        FileInputStream fis = new FileInputStream(file);
        ServletOutputStream servletOutputStream = response.getOutputStream();
        byte[] buffer = new byte[1024];
        int len = 0;
        while ((len = fis.read(buffer)) > 0)
          servletOutputStream.write(buffer, 0, len); 
        fis.close();
        servletOutputStream.close();
        if (fileis)
          file.delete(); 
      } 
      this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_ZhongDaHuoDong", t.getGuanLianBiaoShi(), t.getTiMing(), "下载附件");
    } 
  }
  
  @RequestMapping({"/delZDHDFJ.do"})
  @ResponseBody
  public void delZDHDFJ(HttpServletRequest request, HttpServletResponse response) throws IOException {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String info = "";
    if (StringUtils.isNotBlank(hangBiaoShis)) {
      String[] hbs = hangBiaoShis.split(",");
      if (hbs.length > 0) {
        for (int i = 0; i < hbs.length; i++) {
          ZhongDaHuoDongFuJian fj = (ZhongDaHuoDongFuJian)this.zhongDaHuoDongFuJianService.getById(Integer.valueOf(Integer.parseInt(hbs[i])));
          StringBuffer sql = new StringBuffer("delete from D_ZhongDaHuoDongFuJian where hangBiaoShi=" + hbs[i]);
          this.zhongDaHuoDongFuJianService.deleteBySql(sql.toString());
          String CPCNS_CUNCHUFANGSHI = AppConfiguration.getConfigValue("CPCNS_CUNCHUFANGSHI");
          String path = StringUtil.dealBasePath(AppConfiguration.getConfigValue("DangAnYuanWenPath"));
          String fuJianPath = StringUtil.dealBasePath(String.valueOf(path) + File.separator + fj.getWenJianLuJing());
          if (CPCNS_CUNCHUFANGSHI.equals("1")) {
            fuJianPath = StringUtil.dealBasePath(fj.getWenJianLuJing());
            Integer leiXing = fj.getLeiXing();
            FtpUtil ftp = new FtpUtil();
            String quanZongHao = getFtpQuanZong();
            FtpConfig ftpConfig = this.zhongDaHuoDongFuJianService.getFtpAccInfo(quanZongHao);
            ftp.connectServer(ftpConfig);
            boolean deleteFTP = ftp.deleteFile(String.valueOf(fuJianPath) + fj.getWenJianMing());
            if (leiXing.intValue() == 1 && deleteFTP) {
              String thumbpath = StringUtil.dealBasePath(String.valueOf(fuJianPath) + "thumb" + File.separator);
              deleteFTP = ftp.deleteFile(String.valueOf(thumbpath) + fj.getWenJianMing());
            } 
            System.out.println(deleteFTP);
            ftp.closeServer();
          } else {
            String WenJianPath = StringUtil.dealBasePath(String.valueOf(fuJianPath) + "thumb/" + fj.getWenJianMing());
            String WenJianPath2 = StringUtil.dealBasePath(fuJianPath);
            fuJianPath = StringUtil.dealBasePath(fuJianPath);
            File file = new File(String.valueOf(fuJianPath) + fj.getWenJianMing());
            if (file.exists()) {
              file.delete();
              FileUtils.deleteDirectory(new File(fuJianPath));
            } 
            File ZPfile = new File(WenJianPath);
            if (ZPfile.exists()) {
              ZPfile.delete();
              FileUtils.deleteDirectory(new File(WenJianPath2));
            } 
          } 
          this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_ZhongDaHuoDong", fj.getGuanLianBiaoShi(), fj.getTiMing(), "删除附件");
        } 
        info = "500";
      } 
    } 
    responseWriter(response, info);
  }
  
  public String yuLan(String hangBiaoShi) {
    String filePath = "";
    if (StringUtils.isNotBlank(hangBiaoShi))
      try {
        ZhongDaHuoDongFuJian t = (ZhongDaHuoDongFuJian)this.zhongDaHuoDongFuJianService.getById(Integer.valueOf(hangBiaoShi));
        String ccsf = AppConfiguration.getConfigValue("CPCNS_CUNCHUFANGSHI");
        String dkfs = AppConfiguration.getConfigValue("CPCNS_DAKAIFANGSHI");
        String DianZiDangAnManager = AppConfiguration.getConfigValue("DianZiDangAnManager");
        String DianZiDangAnCiPanLuJing = AppConfiguration.getConfigValue("DianZiDangAnCiPanLuJing");
        if (ccsf.equals("1")) {
          User user = getUser();
          String qzh = getFtpQuanZong();
          String ftp = this.zhongDaHuoDongFuJianService.getFtpString(qzh);
          if (dkfs.equals("1")) {
            filePath = String.valueOf(ftp) + "/" + t.getWenJianLuJing() + t.getWenJianMing();
          } else {
            String path = t.getWenJianLuJing();
            filePath = String.valueOf(ftp) + "/" + t.getWenJianLuJing() + t.getWenJianMing();
            String geshi = t.getWenJianMing().substring(t.getWenJianMing().lastIndexOf("."), t.getWenJianMing().length());
            String localFileName = String.valueOf(t.getTiMing()) + geshi;
            String localFilePath = FuJianPathUtils.obtainCiPanPath("temp" + File.separator + t.getWenJianLuJing());
            System.out.println("path是：" + path + ";下载到本地路径是" + localFilePath);
            File localFile = new File(localFilePath);
            if (!localFile.exists())
              localFile.mkdirs(); 
            File isFile = new File(String.valueOf(localFilePath) + localFileName);
            boolean flag = false;
            if (isFile.isFile()) {
              isFile.delete();
              System.out.println("此处为打开后，删除原来的，重新下载预览");
            } 
            this.commonService.fileDownload(qzh, t.getWenJianLuJing(), t.getWenJianMing(), localFilePath, localFileName);
            filePath = StringUtil.dealBasePath(String.valueOf(AppConfiguration.getConfigValue("DianZiDangAnLuJing")) + File.separator + "temp" + File.separator + t.getWenJianLuJing() + localFileName);
            System.out.println(filePath);
          } 
        } else {
          filePath = StringUtil.dealBasePath(String.valueOf(DianZiDangAnManager) + DianZiDangAnCiPanLuJing + "/" + t.getWenJianLuJing() + t.getWenJianMing());
        } 
      } catch (Exception e) {
        e.printStackTrace();
      }  
    return filePath;
  }
  
  @RequestMapping({"/batchAdd"})
  public String batchAdd(HttpServletRequest request, HttpServletResponse response) {
    String leiXing = getRequest().getParameter("leiXing");
    String guanLianBiaoShi = getRequest().getParameter("guanLianBiaoShi");
    String xiTongLeiXing = getRequest().getParameter("xiTongLeiXing");
    String huoDongDanZhuangTai = getRequest().getParameter("huoDongDanZhuangTai");
    String urlName = "";
    if (StringUtils.isNotBlank(leiXing) && StringUtils.isNotBlank(guanLianBiaoShi) && StringUtils.isNotBlank(xiTongLeiXing) && StringUtils.isNotBlank(huoDongDanZhuangTai)) {
      ZhongDaHuoDongFuJian fuJian = new ZhongDaHuoDongFuJian();
      fuJian.setGuanLianBiaoShi(Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
      fuJian.setLeiXing(Integer.valueOf(Integer.parseInt(leiXing)));
      switch (Integer.parseInt(leiXing)) {
        case 1:
          urlName = "/danganzhengli/zhongdahuodong/batchZhaoPianFuJianEdit";
          break;
      } 
      getRequest().setAttribute("huoDongDanZhuangTai", huoDongDanZhuangTai);
      getRequest().setAttribute("xiTongLeiXing", xiTongLeiXing);
      getRequest().setAttribute("fuJian", fuJian);
    } 
    return urlName;
  }
  
  @RequestMapping({"/batchsave.do"})
  @ResponseBody
  public void batchsave(@RequestParam(value = "upload", required = false) MultipartFile[] upload, HttpServletRequest request, HttpServletResponse response) {
    String fjLength = request.getParameter("fjLength");
    int fjl = Integer.valueOf(fjLength).intValue();
    for (int a = 0; a < fjl; a++) {
      ResultMessage rm = new ResultMessage();
      String info = "";
      String tiShi = "";
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        jsonObject.put(thisName, thisValue);
      } 
      ZhongDaHuoDongFuJian zhongDaHuoDongFuJian = (ZhongDaHuoDongFuJian)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), ZhongDaHuoDongFuJian.class);
      try {
        String riZhiInfo = "修改附件";
        if (zhongDaHuoDongFuJian.getHangBiaoShi() == null || zhongDaHuoDongFuJian.getHangBiaoShi().intValue() < 0) {
          zhongDaHuoDongFuJian.setHangBiaoShi(Integer.valueOf(this.zhongDaHuoDongFuJianService.getPk()));
          riZhiInfo = "新增附件";
        } 
        if (upload != null && upload.length > 0) {
          String xdLuJing = getPath("D_ZhongDaHuoDongFuJian", getCurrentUser().getQuanZongHao(), zhongDaHuoDongFuJian.getHangBiaoShi(), zhongDaHuoDongFuJian.getLeiXing(), zhongDaHuoDongFuJian.getGuanLianBiaoShi());
          String CPCNS_CUNCHUFANGSHI = AppConfiguration.getConfigValue("CPCNS_CUNCHUFANGSHI");
          String path = StringUtil.dealBasePath(AppConfiguration.getConfigValue("DangAnYuanWenPath"));
          if (CPCNS_CUNCHUFANGSHI.equals("1")) {
            MultipartFile files = upload[a];
            String yuanWenJianName = files.getOriginalFilename();
            if (StringUtils.isNotBlank(yuanWenJianName)) {
              String wjpath = StringUtil.dealBasePath(String.valueOf(path) + File.separator + "ZDHD" + File.separator + "demp/" + zhongDaHuoDongFuJian.getGuanLianBiaoShi() + File.separator + yuanWenJianName);
              String FtpPath = StringUtil.dealBasePath(xdLuJing);
              File file = new File(wjpath);
              Boolean fileExitFlag = Boolean.valueOf(false);
              if (!file.exists()) {
                file.mkdirs();
                fileExitFlag = Boolean.valueOf(true);
              } else {
                fileExitFlag = Boolean.valueOf(true);
              } 
              files.transferTo(file);
              String geshi = StringUtils.substringAfterLast(yuanWenJianName, ".");
              String FTPWenJianName = String.valueOf(String.valueOf(zhongDaHuoDongFuJian.getHangBiaoShi())) + "." + geshi;
              FtpUtil ftp = new FtpUtil();
              FtpConfig ftpConfig = this.zhongDaHuoDongFuJianService.getFtpAccInfo(getFtpQuanZong());
              ftp.connectServer(ftpConfig);
              if (geshi.equals("doc") || geshi.equals("docx") || geshi.equals("DOC") || geshi.equals("DOCX")) {
                String wenJianMing = yuanWenJianName.replaceAll(geshi, "pdf");
                Word2Pdf.doc2pdf(wjpath, StringUtil.dealBasePath(String.valueOf(path) + File.separator + "ZDHD" + File.separator + "demp/" + zhongDaHuoDongFuJian.getGuanLianBiaoShi() + File.separator + wenJianMing));
                wjpath = StringUtil.dealBasePath(String.valueOf(path) + File.separator + "ZDHD" + File.separator + "demp/" + zhongDaHuoDongFuJian.getGuanLianBiaoShi() + File.separator + wenJianMing);
                FTPWenJianName = String.valueOf(String.valueOf(zhongDaHuoDongFuJian.getHangBiaoShi())) + ".pdf";
                file = new File(wjpath);
              } 
              boolean wenDang = ftp.createMultiDirectory(FtpPath);
              if (wenDang) {
                boolean ss = ftp.uploadFile(wjpath, FTPWenJianName);
                if (ss)
                  file.delete(); 
              } 
              if (zhongDaHuoDongFuJian.getLeiXing().intValue() == 1 && fileExitFlag.booleanValue()) {
                String ZPpath = StringUtil.dealBasePath(String.valueOf(path) + File.separator + "ZDHD" + File.separator + "demp/" + zhongDaHuoDongFuJian.getGuanLianBiaoShi() + File.separator);
                String bufImgPath = StringUtil.dealBasePath(String.valueOf(ZPpath) + "thumb/" + FTPWenJianName);
                try {
                  BufferedImage bufImg = ImageUtils.byteToImage(upload[a].getBytes());
                  ImageUtils.picThumbOfBufferedImage(bufImg, ZPpath, FTPWenJianName);
                  System.out.println(String.valueOf(FTPWenJianName) + " 的缩略图已生成");
                  boolean SLT = ftp.createMultiDirectory(StringUtil.dealBasePath("thumb/"));
                  if (SLT) {
                    boolean slt = ftp.uploadFile(bufImgPath, FTPWenJianName);
                    File overFile = new File(bufImgPath);
                    if (slt)
                      overFile.delete(); 
                  } 
                } catch (Exception e) {
                  if (StringUtils.isBlank(tiShi)) {
                    tiShi = FTPWenJianName.toString();
                  } else {
                    tiShi = String.valueOf(tiShi) + "," + FTPWenJianName.toString();
                  } 
                  System.out.println("文件：" + FTPWenJianName + "出错");
                  String filePath = AppConfiguration.getConfigValue("DangAnYuanWenPath");
                  String bufImgTempPath = StringUtil.dealBasePath(String.valueOf(filePath) + "/moRenSuoLueTu/zanWuSuoLueTu.png");
                  System.out.println(String.valueOf(FTPWenJianName) + " 的缩略图已生成");
                  boolean SLT = ftp.createMultiDirectory(StringUtil.dealBasePath("thumb/"));
                  if (SLT)
                    boolean bool = ftp.uploadFile(bufImgTempPath, String.valueOf(FTPWenJianName) + "png"); 
                  e.printStackTrace();
                } 
              } 
              zhongDaHuoDongFuJian.setWenJianMing(FTPWenJianName);
              zhongDaHuoDongFuJian.setWenJianLuJing(FtpPath);
              ftp.closeServer();
            } 
          } else {
            MultipartFile files = upload[a];
            String yuanWenJianName = files.getOriginalFilename();
            String geshi = StringUtils.substringAfterLast(yuanWenJianName, ".");
            if (geshi.equals("doc") || geshi.equals("docx") || geshi.equals("DOC") || geshi.equals("DOCX")) {
              Boolean fileExitFlag = Boolean.valueOf(false);
              File file = new File(String.valueOf(path) + File.separator + xdLuJing + yuanWenJianName);
              if (!file.exists()) {
                file.mkdirs();
                fileExitFlag = Boolean.valueOf(true);
              } else {
                fileExitFlag = Boolean.valueOf(true);
              } 
              files.transferTo(file);
              String wenJianMing = yuanWenJianName.replaceAll(geshi, "pdf");
              Word2Pdf.doc2pdf(String.valueOf(path) + File.separator + xdLuJing + yuanWenJianName, StringUtil.dealBasePath(String.valueOf(path) + File.separator + xdLuJing + wenJianMing));
              zhongDaHuoDongFuJian.setWenJianMing(wenJianMing);
              zhongDaHuoDongFuJian.setWenJianLuJing(xdLuJing);
            } else if (StringUtils.isNotBlank(yuanWenJianName)) {
              Boolean fileExitFlag = Boolean.valueOf(false);
              File file = new File(String.valueOf(path) + File.separator + xdLuJing + yuanWenJianName);
              if (!file.exists()) {
                file.mkdirs();
                fileExitFlag = Boolean.valueOf(true);
              } else {
                fileExitFlag = Boolean.valueOf(true);
              } 
              files.transferTo(file);
              zhongDaHuoDongFuJian.setWenJianMing(yuanWenJianName);
              zhongDaHuoDongFuJian.setWenJianLuJing(xdLuJing);
              if (zhongDaHuoDongFuJian.getLeiXing().intValue() == 1 && fileExitFlag.booleanValue()) {
                BufferedImage bufImg = ImageUtils.byteToImage(upload[a].getBytes());
                ImageUtils.picThumbOfBufferedImage(bufImg, String.valueOf(path) + File.separator + xdLuJing, yuanWenJianName);
                System.out.println(String.valueOf(yuanWenJianName) + " 的缩略图已生成");
              } 
            } 
          } 
        } 
        this.zhongDaHuoDongFuJianService.saveOrUpdate(zhongDaHuoDongFuJian);
        rm.setSuccess(true);
        rm.addResultMessage("hangBiaoShi", zhongDaHuoDongFuJian.getHangBiaoShi());
        info = "保存成功！";
        this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_ZhongDaHuoDong", zhongDaHuoDongFuJian.getGuanLianBiaoShi(), zhongDaHuoDongFuJian.getTiMing(), riZhiInfo);
      } catch (Exception e) {
        e.printStackTrace();
        info = "保存失败！";
        rm.setSuccess(false);
      } 
      rm.setInfo(info);
      responseWriter(response, rm.toString());
    } 
  }
}
